/*
 * Programming in Java, Jacobs University, 2015
 *
 * This file demonstrates how to implement a chat client that signs up
 * but then does nothing other than reading a user's input and
 * discarding it.
 */

import java.net.InetAddress;
import java.net.Socket;
import java.io.InputStreamReader;
import java.io.BufferedReader;
import java.io.IOException;

public class ChatSleeper
{
    public static void main(String[] args)
	throws IOException
    {
	try {
	    InetAddress addr = InetAddress.getByName("localhost");
	    Socket socket = new Socket(addr, ChatClient.PORT);
	    ChatClient c = new ChatClient(socket);

	    BufferedReader in;
	    in = new BufferedReader(new InputStreamReader(System.in));

	    String msg;
	    while ((msg = in.readLine()) != null) { }
	} catch (IOException e) {
	    System.err.println(e);
	    System.exit(1);
	}
    }
}
